\documentclass[landscape]{zettel2}

\geometry{top=1cm, bottom=2cm, left=1cm, right=1cm, footskip=1cm}

% Header and Footer
\pagestyle{scrheadings}
\clearpairofpagestyles
\cfoot{-- Getränkeliste --}
\ofoot{\pagemark/\pageref{LastPage}}

\usepackage{xltabular}
\renewcommand{\arraystretch}{1.5}

\DTLloaddb{teilnehmende}{teilnehmende.csv}


\begin{document}

    {\Huge \textsc{Getränkeliste}} \quad (Ein Strich pro Getränk!)
    \vspace{0.2cm}

    \rowcolors{1}{gray!20}{white}
    \begin{xltabular}{\textwidth}{|l|l|X|}
        \hline
        \rowcolor{gray!40}
        \textbf{Vorname} & \textbf{Nachname} & \textbf{Getränke}\\
        \hline
        \endhead
        \noalign\bgroup
        \DTLforeach{teilnehmende}{%
            \vorname=Vorname,%
            \nachname=Nachname%
        }{%
            \egroup \vorname & \nachname & \\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{xltabular}
\end{document}
